summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2017-06-10 13:01:47 +0200
committerJakub Jirutka <jakub@jirutka.cz>2017-06-11 12:14:40 +0200
commitd6ef8fbe23f0b69a7477deeef7284b3f0297d5bb (patch)
tree61058c3eae03b8dee689349b38cab159f0da9043
parentdfe395e8faf5ea8899c1dafe18ff6b1d455744b9 (diff)
downloadapk-tools-d6ef8fbe23f0b69a7477deeef7284b3f0297d5bb.tar.bz2
apk-tools-d6ef8fbe23f0b69a7477deeef7284b3f0297d5bb.tar.xz
test: print output log when test fail
-rw-r--r--test/Makefile9
1 files changed, 6 insertions, 3 deletions
diff --git a/test/Makefile b/test/Makefile
index 2b721a5..9a61acb 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -19,9 +19,9 @@ $(repos):
@echo "Building $@"
@rm -f repos.out
@cd $@ &&\
- for i in */APKBUILD; do\
- ( cd $${i%/*} && \
- REPODEST="$$PWD/../.." abuild -R ) >> ../repos.out 2>&1 || exit 1;\
+ for i in */APKBUILD; do \
+ ( cd $${i%/*} && REPODEST="$$PWD/../.." abuild -R ) \
+ >> ../repos.out 2>&1 || { cat ../repos.out >&2; exit 1; } \
done
@@ -41,6 +41,9 @@ repos.stamp: $(repos)
mkdir -p "$(testroot)"; \
if ! APK="$(APK)" ROOT="$(testroot)" SYSREPO="$(SYSREPO)" ./$< > $(basename $@).out 2>&1; then\
echo " FAIL";\
+ printf "------------- output -------------\n" >&2;\
+ cat $(basename $@).out >&2;\
+ printf "----------------------------------\n" >&2;\
exit 1;\
fi ;\
echo " OK" ;\